#####################################################################################
#Title:Dell_Agent_Free_Server_Traps.conf
#Version:1.0 
#Creation Date: 28-Sep-2014
#Description: Dell_Agent_Free_Server_Traps.conf is a plugin that contains rules to 
#			  support Dell Idrac7 and Dell iDRAC8 traps.
#Copyright (c) 2014 Dell Inc.
#All Rights Reserved.
#####################################################################################


EVENT  NormalDellAgentfreeServerSystemTraps   .1.3.6.1.4.1.674.10892.5.3.2.1.0.*  "Dell-Agent-free-Server"   Normal
MATCH $3:(3)
FORMAT $6 $1 $2
EXEC /usr/local/monitoring/nagios/libexec/eventhandlers/submit_check_result $A "Dell Server Traps" 0  "$1: $2" 
EXEC perl /usr/local/monitoring/nagios/dell/scripts/dell_check_idrac.pl -H $A -i ghs -s "Dell Server Overall Health Status" 
#
#
#
EVENT  WarningDellAgentfreeServerSystemTraps   .1.3.6.1.4.1.674.10892.5.3.2.1.0.*  "Dell-Agent-free-Server"   Warning
MATCH $3:(4)
FORMAT $6 $1 $2
EXEC /usr/local/monitoring/nagios/libexec/eventhandlers/submit_check_result $A "Dell Server Traps" 1  "$1: $2" 
EXEC perl /usr/local/monitoring/nagios/dell/scripts/dell_check_idrac.pl -H $A -i ghs -s "Dell Server Overall Health Status" 
#
#
#
EVENT  CriticalDellAgentfreeServerSystemTraps   .1.3.6.1.4.1.674.10892.5.3.2.1.0.*  "Dell-Agent-free-Server"   Critical
MATCH $3:(1|2|5|6)
FORMAT $6 $1 $2
EXEC /usr/local/monitoring/nagios/libexec/eventhandlers/submit_check_result $A "Dell Server Traps"  2 "$1: $2"
EXEC perl /usr/local/monitoring/nagios/dell/scripts/dell_check_idrac.pl -H $A -i ghs -s "Dell Server Overall Health Status" 
#
#
#
EVENT  NormalDellAgentfreeServerStorageTraps   .1.3.6.1.4.1.674.10892.5.3.2.2.0.*  "Dell-Agent-free-Server"   Normal
MATCH $3:(3)
FORMAT $6 $1 $2
EXEC /usr/local/monitoring/nagios/libexec/eventhandlers/submit_check_result $A "Dell Server Traps" 0  "$1: $2" 
EXEC perl /usr/local/monitoring/nagios/dell/scripts/dell_check_idrac.pl -H $A -i ghs -s "Dell Server Overall Health Status" 
#
#
#
EVENT  WarningDellAgentfreeServerStorageTraps   .1.3.6.1.4.1.674.10892.5.3.2.2.0.*  "Dell-Agent-free-Server"   Warning
MATCH $3:(4)
FORMAT $6 $1 $2
EXEC /usr/local/monitoring/nagios/libexec/eventhandlers/submit_check_result $A "Dell Server Traps" 1  "$1: $2" 
EXEC perl /usr/local/monitoring/nagios/dell/scripts/dell_check_idrac.pl -H $A -i ghs -s "Dell Server Overall Health Status" 
#
#
#
EVENT  CriticalDellAgentfreeServerStorageTraps   .1.3.6.1.4.1.674.10892.5.3.2.2.0.*  "Dell-Agent-free-Server"   Critical
MATCH $3:(1|2|5|6)
FORMAT $6 $1 $2
EXEC /usr/local/monitoring/nagios/libexec/eventhandlers/submit_check_result $A "Dell Server Traps" 2  "$1: $2" 
EXEC perl /usr/local/monitoring/nagios/dell/scripts/dell_check_idrac.pl -H $A -i ghs -s "Dell Server Overall Health Status" 
#
#
#
EVENT  NormalDellAgentfreeServerUpdatesTraps   .1.3.6.1.4.1.674.10892.5.3.2.3.0.*  "Dell-Agent-free-Server"   Normal
MATCH $3:(3)
FORMAT $6 $1 $2
EXEC /usr/local/monitoring/nagios/libexec/eventhandlers/submit_check_result $A "Dell Server Traps" 0  "$1: $2" 
EXEC perl /usr/local/monitoring/nagios/dell/scripts/dell_check_idrac.pl -H $A -i ghs -s "Dell Server Overall Health Status" 
#
#
#
EVENT  WarningDellAgentfreeServerUpdatesTraps   .1.3.6.1.4.1.674.10892.5.3.2.3.0.*  "Dell-Agent-free-Server"   Warning
MATCH $3:(4)
FORMAT $6 $1 $2
EXEC /usr/local/monitoring/nagios/libexec/eventhandlers/submit_check_result $A "Dell Server Traps" 1  "$1: $2" 
EXEC perl /usr/local/monitoring/nagios/dell/scripts/dell_check_idrac.pl -H $A -i ghs -s "Dell Server Overall Health Status" 
#
#
#
EVENT  CriticalDellAgentfreeServerUpdatesTraps   .1.3.6.1.4.1.674.10892.5.3.2.3.0.*  "Dell-Agent-free-Server"   Critical
MATCH $3:(1|2|5|6)
FORMAT $6 $1 $2
EXEC /usr/local/monitoring/nagios/libexec/eventhandlers/submit_check_result $A "Dell Server Traps" 2  "$1: $2" 
EXEC perl /usr/local/monitoring/nagios/dell/scripts/dell_check_idrac.pl -H $A -i ghs -s "Dell Server Overall Health Status" 
#
#
#
EVENT  NormalDellAgentfreeServerAuditTraps   .1.3.6.1.4.1.674.10892.5.3.2.4.0.*  "Dell-Agent-free-Server"   Normal
MATCH $3:(3)
FORMAT $6 $1 $2
EXEC /usr/local/monitoring/nagios/libexec/eventhandlers/submit_check_result $A "Dell Server Traps" 0  "$1: $2" 
EXEC perl /usr/local/monitoring/nagios/dell/scripts/dell_check_idrac.pl -H $A -i ghs -s "Dell Server Overall Health Status" 
#
#
#
EVENT  WarningDellAgentfreeServerAuditTraps   .1.3.6.1.4.1.674.10892.5.3.2.4.0.*  "Dell-Agent-free-Server"   Warning
MATCH $3:(4)
FORMAT $6 $1 $2
EXEC /usr/local/monitoring/nagios/libexec/eventhandlers/submit_check_result $A "Dell Server Traps" 1  "$1: $2" 
EXEC perl /usr/local/monitoring/nagios/dell/scripts/dell_check_idrac.pl -H $A -i ghs -s "Dell Server Overall Health Status" 
#
#
#
EVENT  CriticalDellAgentfreeServerAuditTraps   .1.3.6.1.4.1.674.10892.5.3.2.4.0.*  "Dell-Agent-free-Server"   Critical
MATCH $3:(1|2|5|6)
FORMAT $6 $1 $2
EXEC /usr/local/monitoring/nagios/libexec/eventhandlers/submit_check_result $A "Dell Server Traps" 2  "$1: $2" 
EXEC perl /usr/local/monitoring/nagios/dell/scripts/dell_check_idrac.pl -H $A -i ghs -s "Dell Server Overall Health Status" 
#
#
#
EVENT  NormalDellAgentfreeServerConfigurationTraps   .1.3.6.1.4.1.674.10892.5.3.2.5.0.*  "Dell-Agent-free-Server"   Normal
MATCH $3:(3)
FORMAT $6 $1 $2
EXEC /usr/local/monitoring/nagios/libexec/eventhandlers/submit_check_result $A "Dell Server Traps" 0  "$1: $2" 
EXEC perl /usr/local/monitoring/nagios/dell/scripts/dell_check_idrac.pl -H $A -i ghs -s "Dell Server Overall Health Status" 
#
#
#
EVENT  WarningDellAgentfreeServerConfigurationTraps   .1.3.6.1.4.1.674.10892.5.3.2.5.0.*  "Dell-Agent-free-Server"   Warning
MATCH $3:(4)
FORMAT $6 $1 $2
EXEC /usr/local/monitoring/nagios/libexec/eventhandlers/submit_check_result $A "Dell Server Traps" 1  "$1: $2" 
EXEC perl /usr/local/monitoring/nagios/dell/scripts/dell_check_idrac.pl -H $A -i ghs -s "Dell Server Overall Health Status" 
#
#
#
EVENT  CriticalDellAgentfreeServerConfigurationTraps   .1.3.6.1.4.1.674.10892.5.3.2.5.0.*  "Dell-Agent-free-Server"   Critical
MATCH $3:(1|2|5|6)
FORMAT $6 $1 $2
EXEC /usr/local/monitoring/nagios/libexec/eventhandlers/submit_check_result $A "Dell Server Traps" 2  "$1: $2" 
EXEC perl /usr/local/monitoring/nagios/dell/scripts/dell_check_idrac.pl -H $A -i ghs -s "Dell Server Overall Health Status" 
#
#
#
